Paper Trading

Create a paper trading account

POST
/apps/{appId}/paper-trading/accounts

Authorization

appApiKey
headerx-app-api-key<token>

App-scoped API key. It is the only credential on partner-admin reads, paper-trading admin, and webhook rotate or replay. POST /bot-protection/verify requires it together with x-app-id.

Path Parameters

appId*string

Request Body

application/json
  1. body
name?string
Length1 <= length <= 120
externalId?string
Length1 <= length <= 160
initialBalanceRaw?string
Match^[0-9]+$
initialBalance?number
Range0 <= value

Response Body

201

application/json
  1. response
id*string
appId*string
name*string
externalId*string
currency*string
startingBalanceRaw*string
startingBalance*number
cashBalanceRaw*string
cashBalance*number
realizedPnlRaw*string
realizedPnl*number
kycStatus*"verified"
Value in"verified"
kycVerified*true
Value intrue
status*string
Value in"active""archived"
createdAt*string
updatedAt*string
Example Request
curl -X POST 'https://api.t.sufwankhalid.com/apps/string/paper-trading/accounts' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "string",  "appId": "string",  "name": "string",  "externalId": "string",  "currency": "string",  "startingBalanceRaw": "string",  "startingBalance": 0,  "cashBalanceRaw": "string",  "cashBalance": 0,  "realizedPnlRaw": "string",  "realizedPnl": 0,  "kycStatus": "verified",  "kycVerified": true,  "status": "active",  "createdAt": "string",  "updatedAt": "string"}